require 'graphql/rails/active_reflection/attribute_reflection'

class Recline::AttributeReflection < GraphQL::Rails::ActiveReflection::AttributeReflection
  @schema_name = "ReclineAttribute"
  attr_accessor :appearance

  def initialize(field, klass, schema)
    super
    @appearance = Recline.appearance_for(field, klass, @name)
  end

  def primary_key?
    @klass.primary_key == @name
  end
end
