require 'graphql/rails/active_reflection'
require 'graphql/rails/active_reflection/types/attribute_reflection_type'
Recline::Types::AttributeReflectionType = GraphQL::Rails::ActiveReflection::Types::AttributeReflectionType.redefine do
  name "ReclineAttribute"
  field :appearance, Recline::Types::AppearanceEnumType
  field :createdAt, types.String, property: :created_at
  field :updatedAt, types.String, property: :updated_at

  field :read_only, types.Boolean do
    resolve ->(obj, _args, _ctx) do
      obj.primary_key?
    end
  end
end
