require 'graphql/rails/active_reflection'
require 'graphql/rails/active_reflection/types/attribute_reflection_type'
require 'recline/types/diff_type'

Recline::Types::VersionReflectionType = GraphQL::ObjectType.define do
  name "ReclineVersion"
  field :title, types.String
  field :created_at, types.String

  field :diff, Recline::Types::DiffType.to_list_type
end
