module Recline
  class Appearance
    @types = [
      :none,
      :string,
      :text,
      :markdown,
      :url,
      :email,
      :number,
      :select,
      :date,
      :time,
      :datetime,
      :color,
      :toggle,
      :range,
      :tel,
      :dropdown,
      :rating,
      :radio,
      :checkbox,
      :location,
      :media,
      :link,
      :reference
    ]

    def self.define_type(input)
      @types << input.to_sym
    end

    class << self
      attr_reader :types
    end
  end
end
